# Interface IOpcodeMnemonics

All Known Implementing Classes:
  `OpcodeStringValues`

public interface IOpcodeMnemonics
Description of each opcode mnemonic according to the JVM specifications.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AALOAD`
`static final int`
`AASTORE`
`static final int`
`ACONST_NULL`
`static final int`
`ALOAD`
`static final int`
`ALOAD_0`
`static final int`
`ALOAD_1`
`static final int`
`ALOAD_2`
`static final int`
`ALOAD_3`
`static final int`
`ANEWARRAY`
`static final int`
`ARETURN`
`static final int`
`ARRAYLENGTH`
`static final int`
`ASTORE`
`static final int`
`ASTORE_0`
`static final int`
`ASTORE_1`
`static final int`
`ASTORE_2`
`static final int`
`ASTORE_3`
`static final int`
`ATHROW`
`static final int`
`BALOAD`
`static final int`
`BASTORE`
`static final int`
`BIPUSH`
`static final int`
`BREAKPOINT`
`static final int`
`CALOAD`
`static final int`
`CASTORE`
`static final int`
`CHECKCAST`
`static final int`
`D2F`
`static final int`
`D2I`
`static final int`
`D2L`
`static final int`
`DADD`
`static final int`
`DALOAD`
`static final int`
`DASTORE`
`static final int`
`DCMPG`
`static final int`
`DCMPL`
`static final int`
`DCONST_0`
`static final int`
`DCONST_1`
`static final int`
`DDIV`
`static final int`
`DLOAD`
`static final int`
`DLOAD_0`
`static final int`
`DLOAD_1`
`static final int`
`DLOAD_2`
`static final int`
`DLOAD_3`
`static final int`
`DMUL`
`static final int`
`DNEG`
`static final int`
`DREM`
`static final int`
`DRETURN`
`static final int`
`DSTORE`
`static final int`
`DSTORE_0`
`static final int`
`DSTORE_1`
`static final int`
`DSTORE_2`
`static final int`
`DSTORE_3`
`static final int`
`DSUB`
`static final int`
`DUP`
`static final int`
`DUP_X1`
`static final int`
`DUP_X2`
`static final int`
`DUP2`
`static final int`
`DUP2_X1`
`static final int`
`DUP2_X2`
`static final int`
`F2D`
`static final int`
`F2I`
`static final int`
`F2L`
`static final int`
`FADD`
`static final int`
`FALOAD`
`static final int`
`FASTORE`
`static final int`
`FCMPG`
`static final int`
`FCMPL`
`static final int`
`FCONST_0`
`static final int`
`FCONST_1`
`static final int`
`FCONST_2`
`static final int`
`FDIV`
`static final int`
`FLOAD`
`static final int`
`FLOAD_0`
`static final int`
`FLOAD_1`
`static final int`
`FLOAD_2`
`static final int`
`FLOAD_3`
`static final int`
`FMUL`
`static final int`
`FNEG`
`static final int`
`FREM`
`static final int`
`FRETURN`
`static final int`
`FSTORE`
`static final int`
`FSTORE_0`
`static final int`
`FSTORE_1`
`static final int`
`FSTORE_2`
`static final int`
`FSTORE_3`
`static final int`
`FSUB`
`static final int`
`GETFIELD`
`static final int`
`GETSTATIC`
`static final int`
`GOTO`
`static final int`
`GOTO_W`
`static final int`
`I2B`
`static final int`
`I2C`
`static final int`
`I2D`
`static final int`
`I2F`
`static final int`
`I2L`
`static final int`
`I2S`
`static final int`
`IADD`
`static final int`
`IALOAD`
`static final int`
`IAND`
`static final int`
`IASTORE`
`static final int`
`ICONST_0`
`static final int`
`ICONST_1`
`static final int`
`ICONST_2`
`static final int`
`ICONST_3`
`static final int`
`ICONST_4`
`static final int`
`ICONST_5`
`static final int`
`ICONST_M1`
`static final int`
`IDIV`
`static final int`
`IF_ACMPEQ`
`static final int`
`IF_ACMPNE`
`static final int`
`IF_ICMPEQ`
`static final int`
`IF_ICMPGE`
`static final int`
`IF_ICMPGT`
`static final int`
`IF_ICMPLE`
`static final int`
`IF_ICMPLT`
`static final int`
`IF_ICMPNE`
`static final int`
`IFEQ`
`static final int`
`IFGE`
`static final int`
`IFGT`
`static final int`
`IFLE`
`static final int`
`IFLT`
`static final int`
`IFNE`
`static final int`
`IFNONNULL`
`static final int`
`IFNULL`
`static final int`
`IINC`
`static final int`
`ILOAD`
`static final int`
`ILOAD_0`
`static final int`
`ILOAD_1`
`static final int`
`ILOAD_2`
`static final int`
`ILOAD_3`
`static final int`
`IMPDEP1`
`static final int`
`IMPDEP2`
`static final int`
`IMUL`
`static final int`
`INEG`
`static final int`
`INSTANCEOF`
`static final int`
`INVOKEDYNAMIC`
`static final int`
`INVOKEINTERFACE`
`static final int`
`INVOKESPECIAL`
`static final int`
`INVOKESTATIC`
`static final int`
`INVOKEVIRTUAL`
`static final int`
`IOR`
`static final int`
`IREM`
`static final int`
`IRETURN`
`static final int`
`ISHL`
`static final int`
`ISHR`
`static final int`
`ISTORE`
`static final int`
`ISTORE_0`
`static final int`
`ISTORE_1`
`static final int`
`ISTORE_2`
`static final int`
`ISTORE_3`
`static final int`
`ISUB`
`static final int`
`IUSHR`
`static final int`
`IXOR`
`static final int`
`JSR`
`static final int`
`JSR_W`
`static final int`
`L2D`
`static final int`
`L2F`
`static final int`
`L2I`
`static final int`
`LADD`
`static final int`
`LALOAD`
`static final int`
`LAND`
`static final int`
`LASTORE`
`static final int`
`LCMP`
`static final int`
`LCONST_0`
`static final int`
`LCONST_1`
`static final int`
`LDC`
`static final int`
`LDC_W`
`static final int`
`LDC2_W`
`static final int`
`LDIV`
`static final int`
`LLOAD`
`static final int`
`LLOAD_0`
`static final int`
`LLOAD_1`
`static final int`
`LLOAD_2`
`static final int`
`LLOAD_3`
`static final int`
`LMUL`
`static final int`
`LNEG`
`static final int`
`LOOKUPSWITCH`
`static final int`
`LOR`
`static final int`
`LREM`
`static final int`
`LRETURN`
`static final int`
`LSHL`
`static final int`
`LSHR`
`static final int`
`LSTORE`
`static final int`
`LSTORE_0`
`static final int`
`LSTORE_1`
`static final int`
`LSTORE_2`
`static final int`
`LSTORE_3`
`static final int`
`LSUB`
`static final int`
`LUSHR`
`static final int`
`LXOR`
`static final int`
`MONITORENTER`
`static final int`
`MONITOREXIT`
`static final int`
`MULTIANEWARRAY`
`static final int`
`NEW`
`static final int`
`NEWARRAY`
`static final int`
`NOP`
`static final int`
`POP`
`static final int`
`POP2`
`static final int`
`PUTFIELD`
`static final int`
`PUTSTATIC`
`static final int`
`RET`
`static final int`
`RETURN`
`static final int`
`SALOAD`
`static final int`
`SASTORE`
`static final int`
`SIPUSH`
`static final int`
`SWAP`
`static final int`
`TABLESWITCH`
`static final int`
`WIDE`

## Field Details

### NOP

static final int NOP

See Also:
  - Constant Field Values

### ACONST_NULL

static final int ACONST_NULL

See Also:
  - Constant Field Values

### ICONST_M1

static final int ICONST_M1

See Also:
  - Constant Field Values

### ICONST_0

static final int ICONST_0

See Also:
  - Constant Field Values

### ICONST_1

static final int ICONST_1

See Also:
  - Constant Field Values

### ICONST_2

static final int ICONST_2

See Also:
  - Constant Field Values

### ICONST_3

static final int ICONST_3

See Also:
  - Constant Field Values

### ICONST_4

static final int ICONST_4

See Also:
  - Constant Field Values

### ICONST_5

static final int ICONST_5

See Also:
  - Constant Field Values

### LCONST_0

static final int LCONST_0

See Also:
  - Constant Field Values

### LCONST_1

static final int LCONST_1

See Also:
  - Constant Field Values

### FCONST_0

static final int FCONST_0

See Also:
  - Constant Field Values

### FCONST_1

static final int FCONST_1

See Also:
  - Constant Field Values

### FCONST_2

static final int FCONST_2

See Also:
  - Constant Field Values

### DCONST_0

static final int DCONST_0

See Also:
  - Constant Field Values

### DCONST_1

static final int DCONST_1

See Also:
  - Constant Field Values

### BIPUSH

static final int BIPUSH

See Also:
  - Constant Field Values

### SIPUSH

static final int SIPUSH

See Also:
  - Constant Field Values

### LDC

static final int LDC

See Also:
  - Constant Field Values

### LDC_W

static final int LDC_W

See Also:
  - Constant Field Values

### LDC2_W

static final int LDC2_W

See Also:
  - Constant Field Values

### ILOAD

static final int ILOAD

See Also:
  - Constant Field Values

### LLOAD

static final int LLOAD

See Also:
  - Constant Field Values

### FLOAD

static final int FLOAD

See Also:
  - Constant Field Values

### DLOAD

static final int DLOAD

See Also:
  - Constant Field Values

### ALOAD

static final int ALOAD

See Also:
  - Constant Field Values

### ILOAD_0

static final int ILOAD_0

See Also:
  - Constant Field Values

### ILOAD_1

static final int ILOAD_1

See Also:
  - Constant Field Values

### ILOAD_2

static final int ILOAD_2

See Also:
  - Constant Field Values

### ILOAD_3

static final int ILOAD_3

See Also:
  - Constant Field Values

### LLOAD_0

static final int LLOAD_0

See Also:
  - Constant Field Values

### LLOAD_1

static final int LLOAD_1

See Also:
  - Constant Field Values

### LLOAD_2

static final int LLOAD_2

See Also:
  - Constant Field Values

### LLOAD_3

static final int LLOAD_3

See Also:
  - Constant Field Values

### FLOAD_0

static final int FLOAD_0

See Also:
  - Constant Field Values

### FLOAD_1

static final int FLOAD_1

See Also:
  - Constant Field Values

### FLOAD_2

static final int FLOAD_2

See Also:
  - Constant Field Values

### FLOAD_3

static final int FLOAD_3

See Also:
  - Constant Field Values

### DLOAD_0

static final int DLOAD_0

See Also:
  - Constant Field Values

### DLOAD_1

static final int DLOAD_1

See Also:
  - Constant Field Values

### DLOAD_2

static final int DLOAD_2

See Also:
  - Constant Field Values

### DLOAD_3

static final int DLOAD_3

See Also:
  - Constant Field Values

### ALOAD_0

static final int ALOAD_0

See Also:
  - Constant Field Values

### ALOAD_1

static final int ALOAD_1

See Also:
  - Constant Field Values

### ALOAD_2

static final int ALOAD_2

See Also:
  - Constant Field Values

### ALOAD_3

static final int ALOAD_3

See Also:
  - Constant Field Values

### IALOAD

static final int IALOAD

See Also:
  - Constant Field Values

### LALOAD

static final int LALOAD

See Also:
  - Constant Field Values

### FALOAD

static final int FALOAD

See Also:
  - Constant Field Values

### DALOAD

static final int DALOAD

See Also:
  - Constant Field Values

### AALOAD

static final int AALOAD

See Also:
  - Constant Field Values

### BALOAD

static final int BALOAD

See Also:
  - Constant Field Values

### CALOAD

static final int CALOAD

See Also:
  - Constant Field Values

### SALOAD

static final int SALOAD

See Also:
  - Constant Field Values

### ISTORE

static final int ISTORE

See Also:
  - Constant Field Values

### LSTORE

static final int LSTORE

See Also:
  - Constant Field Values

### FSTORE

static final int FSTORE

See Also:
  - Constant Field Values

### DSTORE

static final int DSTORE

See Also:
  - Constant Field Values

### ASTORE

static final int ASTORE

See Also:
  - Constant Field Values

### ISTORE_0

static final int ISTORE_0

See Also:
  - Constant Field Values

### ISTORE_1

static final int ISTORE_1

See Also:
  - Constant Field Values

### ISTORE_2

static final int ISTORE_2

See Also:
  - Constant Field Values

### ISTORE_3

static final int ISTORE_3

See Also:
  - Constant Field Values

### LSTORE_0

static final int LSTORE_0

See Also:
  - Constant Field Values

### LSTORE_1

static final int LSTORE_1

See Also:
  - Constant Field Values

### LSTORE_2

static final int LSTORE_2

See Also:
  - Constant Field Values

### LSTORE_3

static final int LSTORE_3

See Also:
  - Constant Field Values

### FSTORE_0

static final int FSTORE_0

See Also:
  - Constant Field Values

### FSTORE_1

static final int FSTORE_1

See Also:
  - Constant Field Values

### FSTORE_2

static final int FSTORE_2

See Also:
  - Constant Field Values

### FSTORE_3

static final int FSTORE_3

See Also:
  - Constant Field Values

### DSTORE_0

static final int DSTORE_0

See Also:
  - Constant Field Values

### DSTORE_1

static final int DSTORE_1

See Also:
  - Constant Field Values

### DSTORE_2

static final int DSTORE_2

See Also:
  - Constant Field Values

### DSTORE_3

static final int DSTORE_3

See Also:
  - Constant Field Values

### ASTORE_0

static final int ASTORE_0

See Also:
  - Constant Field Values

### ASTORE_1

static final int ASTORE_1

See Also:
  - Constant Field Values

### ASTORE_2

static final int ASTORE_2

See Also:
  - Constant Field Values

### ASTORE_3

static final int ASTORE_3

See Also:
  - Constant Field Values

### IASTORE

static final int IASTORE

See Also:
  - Constant Field Values

### LASTORE

static final int LASTORE

See Also:
  - Constant Field Values

### FASTORE

static final int FASTORE

See Also:
  - Constant Field Values

### DASTORE

static final int DASTORE

See Also:
  - Constant Field Values

### AASTORE

static final int AASTORE

See Also:
  - Constant Field Values

### BASTORE

static final int BASTORE

See Also:
  - Constant Field Values

### CASTORE

static final int CASTORE

See Also:
  - Constant Field Values

### SASTORE

static final int SASTORE

See Also:
  - Constant Field Values

### POP

static final int POP

See Also:
  - Constant Field Values

### POP2

static final int POP2

See Also:
  - Constant Field Values

### DUP

static final int DUP

See Also:
  - Constant Field Values

### DUP_X1

static final int DUP_X1

See Also:
  - Constant Field Values

### DUP_X2

static final int DUP_X2

See Also:
  - Constant Field Values

### DUP2

static final int DUP2

See Also:
  - Constant Field Values

### DUP2_X1

static final int DUP2_X1

See Also:
  - Constant Field Values

### DUP2_X2

static final int DUP2_X2

See Also:
  - Constant Field Values

### SWAP

static final int SWAP

See Also:
  - Constant Field Values

### IADD

static final int IADD

See Also:
  - Constant Field Values

### LADD

static final int LADD

See Also:
  - Constant Field Values

### FADD

static final int FADD

See Also:
  - Constant Field Values

### DADD

static final int DADD

See Also:
  - Constant Field Values

### ISUB

static final int ISUB

See Also:
  - Constant Field Values

### LSUB

static final int LSUB

See Also:
  - Constant Field Values

### FSUB

static final int FSUB

See Also:
  - Constant Field Values

### DSUB

static final int DSUB

See Also:
  - Constant Field Values

### IMUL

static final int IMUL

See Also:
  - Constant Field Values

### LMUL

static final int LMUL

See Also:
  - Constant Field Values

### FMUL

static final int FMUL

See Also:
  - Constant Field Values

### DMUL

static final int DMUL

See Also:
  - Constant Field Values

### IDIV

static final int IDIV

See Also:
  - Constant Field Values

### LDIV

static final int LDIV

See Also:
  - Constant Field Values

### FDIV

static final int FDIV

See Also:
  - Constant Field Values

### DDIV

static final int DDIV

See Also:
  - Constant Field Values

### IREM

static final int IREM

See Also:
  - Constant Field Values

### LREM

static final int LREM

See Also:
  - Constant Field Values

### FREM

static final int FREM

See Also:
  - Constant Field Values

### DREM

static final int DREM

See Also:
  - Constant Field Values

### INEG

static final int INEG

See Also:
  - Constant Field Values

### LNEG

static final int LNEG

See Also:
  - Constant Field Values

### FNEG

static final int FNEG

See Also:
  - Constant Field Values

### DNEG

static final int DNEG

See Also:
  - Constant Field Values

### ISHL

static final int ISHL

See Also:
  - Constant Field Values

### LSHL

static final int LSHL

See Also:
  - Constant Field Values

### ISHR

static final int ISHR

See Also:
  - Constant Field Values

### LSHR

static final int LSHR

See Also:
  - Constant Field Values

### IUSHR

static final int IUSHR

See Also:
  - Constant Field Values

### LUSHR

static final int LUSHR

See Also:
  - Constant Field Values

### IAND

static final int IAND

See Also:
  - Constant Field Values

### LAND

static final int LAND

See Also:
  - Constant Field Values

### IOR

static final int IOR

See Also:
  - Constant Field Values

### LOR

static final int LOR

See Also:
  - Constant Field Values

### IXOR

static final int IXOR

See Also:
  - Constant Field Values

### LXOR

static final int LXOR

See Also:
  - Constant Field Values

### IINC

static final int IINC

See Also:
  - Constant Field Values

### I2L

static final int I2L

See Also:
  - Constant Field Values

### I2F

static final int I2F

See Also:
  - Constant Field Values

### I2D

static final int I2D

See Also:
  - Constant Field Values

### L2I

static final int L2I

See Also:
  - Constant Field Values

### L2F

static final int L2F

See Also:
  - Constant Field Values

### L2D

static final int L2D

See Also:
  - Constant Field Values

### F2I

static final int F2I

See Also:
  - Constant Field Values

### F2L

static final int F2L

See Also:
  - Constant Field Values

### F2D

static final int F2D

See Also:
  - Constant Field Values

### D2I

static final int D2I

See Also:
  - Constant Field Values

### D2L

static final int D2L

See Also:
  - Constant Field Values

### D2F

static final int D2F

See Also:
  - Constant Field Values

### I2B

static final int I2B

See Also:
  - Constant Field Values

### I2C

static final int I2C

See Also:
  - Constant Field Values

### I2S

static final int I2S

See Also:
  - Constant Field Values

### LCMP

static final int LCMP

See Also:
  - Constant Field Values

### FCMPL

static final int FCMPL

See Also:
  - Constant Field Values

### FCMPG

static final int FCMPG

See Also:
  - Constant Field Values

### DCMPL

static final int DCMPL

See Also:
  - Constant Field Values

### DCMPG

static final int DCMPG

See Also:
  - Constant Field Values

### IFEQ

static final int IFEQ

See Also:
  - Constant Field Values

### IFNE

static final int IFNE

See Also:
  - Constant Field Values

### IFLT

static final int IFLT

See Also:
  - Constant Field Values

### IFGE

static final int IFGE

See Also:
  - Constant Field Values

### IFGT

static final int IFGT

See Also:
  - Constant Field Values

### IFLE

static final int IFLE

See Also:
  - Constant Field Values

### IF_ICMPEQ

static final int IF_ICMPEQ

See Also:
  - Constant Field Values

### IF_ICMPNE

static final int IF_ICMPNE

See Also:
  - Constant Field Values

### IF_ICMPLT

static final int IF_ICMPLT

See Also:
  - Constant Field Values

### IF_ICMPGE

static final int IF_ICMPGE

See Also:
  - Constant Field Values

### IF_ICMPGT

static final int IF_ICMPGT

See Also:
  - Constant Field Values

### IF_ICMPLE

static final int IF_ICMPLE

See Also:
  - Constant Field Values

### IF_ACMPEQ

static final int IF_ACMPEQ

See Also:
  - Constant Field Values

### IF_ACMPNE

static final int IF_ACMPNE

See Also:
  - Constant Field Values

### GOTO

static final int GOTO

See Also:
  - Constant Field Values

### JSR

static final int JSR

See Also:
  - Constant Field Values

### RET

static final int RET

See Also:
  - Constant Field Values

### TABLESWITCH

static final int TABLESWITCH

See Also:
  - Constant Field Values

### LOOKUPSWITCH

static final int LOOKUPSWITCH

See Also:
  - Constant Field Values

### IRETURN

static final int IRETURN

See Also:
  - Constant Field Values

### LRETURN

static final int LRETURN

See Also:
  - Constant Field Values

### FRETURN

static final int FRETURN

See Also:
  - Constant Field Values

### DRETURN

static final int DRETURN

See Also:
  - Constant Field Values

### ARETURN

static final int ARETURN

See Also:
  - Constant Field Values

### RETURN

static final int RETURN

See Also:
  - Constant Field Values

### GETSTATIC

static final int GETSTATIC

See Also:
  - Constant Field Values

### PUTSTATIC

static final int PUTSTATIC

See Also:
  - Constant Field Values

### GETFIELD

static final int GETFIELD

See Also:
  - Constant Field Values

### PUTFIELD

static final int PUTFIELD

See Also:
  - Constant Field Values

### INVOKEVIRTUAL

static final int INVOKEVIRTUAL

See Also:
  - Constant Field Values

### INVOKESPECIAL

static final int INVOKESPECIAL

See Also:
  - Constant Field Values

### INVOKESTATIC

static final int INVOKESTATIC

See Also:
  - Constant Field Values

### INVOKEINTERFACE

static final int INVOKEINTERFACE

See Also:
  - Constant Field Values

### INVOKEDYNAMIC

static final int INVOKEDYNAMIC

Since:
  3.6
See Also:
  - Constant Field Values

### NEW

static final int NEW

See Also:
  - Constant Field Values

### NEWARRAY

static final int NEWARRAY

See Also:
  - Constant Field Values

### ANEWARRAY

static final int ANEWARRAY

See Also:
  - Constant Field Values

### ARRAYLENGTH

static final int ARRAYLENGTH

See Also:
  - Constant Field Values

### ATHROW

static final int ATHROW

See Also:
  - Constant Field Values

### CHECKCAST

static final int CHECKCAST

See Also:
  - Constant Field Values

### INSTANCEOF

static final int INSTANCEOF

See Also:
  - Constant Field Values

### MONITORENTER

static final int MONITORENTER

See Also:
  - Constant Field Values

### MONITOREXIT

static final int MONITOREXIT

See Also:
  - Constant Field Values

### WIDE

static final int WIDE

See Also:
  - Constant Field Values

### MULTIANEWARRAY

static final int MULTIANEWARRAY

See Also:
  - Constant Field Values

### IFNULL

static final int IFNULL

See Also:
  - Constant Field Values

### IFNONNULL

static final int IFNONNULL

See Also:
  - Constant Field Values

### GOTO_W

static final int GOTO_W

See Also:
  - Constant Field Values

### JSR_W

static final int JSR_W

See Also:
  - Constant Field Values

### BREAKPOINT

static final int BREAKPOINT

See Also:
  - Constant Field Values

### IMPDEP1

static final int IMPDEP1

See Also:
  - Constant Field Values

### IMPDEP2

static final int IMPDEP2

See Also:
  - Constant Field Values